Bug 1814587 - CVE-2020-9431 wireshark: LTE RRC dissector memory leak could result in excessive memory resource consumption [fedora-all]
Summary: CVE-2020-9431 wireshark: LTE RRC dissector memory leak could result in excess...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wireshark
Version: 31
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
Assignee: Michal Ruprich 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-9431
TreeView+ depends on / blocked
 
Reported: 2020-03-18 10:33 UTC by Michael Kaplan
Modified: 2020-04-25 03:00 UTC (History)
8 users (show)

Fixed In Version: wireshark-3.2.3-1.fc32 wireshark-3.2.3-1.fc30 wireshark-3.2.3-1.fc31
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-25 02:21:41 UTC
Type: ---


Attachments (Terms of Use)

Description Michael Kaplan 2020-03-18 10:33:23 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Michael Kaplan 2020-03-18 10:33:28 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1814586,1814587

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 3 Fedora Update System 2020-04-06 14:24:11 UTC
FEDORA-2020-e0bf28ea8c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e0bf28ea8c

Comment 4 Fedora Update System 2020-04-06 14:24:12 UTC
FEDORA-2020-0b7f72d01c has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0b7f72d01c

Comment 5 Fedora Update System 2020-04-06 14:24:12 UTC
FEDORA-2020-5c8357b2bb has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5c8357b2bb

Comment 6 Fedora Update System 2020-04-07 02:27:46 UTC
FEDORA-2020-0b7f72d01c has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-0b7f72d01c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0b7f72d01c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-07 03:10:01 UTC
FEDORA-2020-e0bf28ea8c has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e0bf28ea8c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e0bf28ea8c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-04-07 03:46:39 UTC
FEDORA-2020-5c8357b2bb has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-5c8357b2bb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5c8357b2bb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-04-13 21:17:53 UTC
FEDORA-2020-ef943221ca has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ef943221ca`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ef943221ca

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-04-15 19:57:19 UTC
FEDORA-2020-87737529a4 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-87737529a4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-87737529a4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-04-15 21:39:54 UTC
FEDORA-2020-da7dcee2ec has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-da7dcee2ec`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-da7dcee2ec

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-04-25 02:21:41 UTC
FEDORA-2020-ef943221ca has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-04-25 02:41:13 UTC
FEDORA-2020-da7dcee2ec has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-04-25 03:00:15 UTC
FEDORA-2020-87737529a4 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.